diff -uNrd ircd-hybrid-7.0/ChangeLog.anynet anynet-3.0/ChangeLog.anynet
--- ircd-hybrid-7.0/ChangeLog.anynet	Wed Dec 31 19:00:00 1969
+++ anynet-3.0/ChangeLog.anynet	Wed Feb  4 16:41:14 2004
@@ -0,0 +1,78 @@
+-- anynet-3.0 (2004-02-03)
+
+* Fixed a bounds error in adns.
+* Added SSL client support, including support for STARTTLS.
+* Added support for 192 and 256-bit Blowfish and 128, 192, and 256-bit AES
+  to cryptlinks.
+* Made 168-bit Blowfish 168 bits instead of 192.
+* Updated default lengths.  (nick=20, topic=495)
+* Made the map module part of the standard module set.
+* Made the TBURST module part of the standard module set.
+* Updated example.conf to reflect new options and better defaults
+  for Anynet.
+* Updated Hybrid-team (as it's shown in /info.)
+* Added parenthesis to find_user_link() and FIND_AND_DELETE() macros to
+  remove ambiguity from preprocessed code.
+* Allow admins to see hidden channels.
+* Allow admins to see invisible users.
+* Allow admins to see nicknames for topics and bans in +a channels.
+* Allow admins to see ops in /names, /who, and /whois for +a channels.
+* Added +N for services clients to allow mode hacks, kicks, invites,
+  and messages.
+* Fixed type-punning warnings for count*memory functions.
+* Updated defaults.h to have better defaults for Anynet.
+* Added Client struct prototype in event.h to fix a warning when it gets
+  included without client.h.
+* Added __attribute__((format)) to SendIAuth, linebuf_putmsg, ilog,
+  and debug() when using GCC.
+* Cleaned up formatting errors that the format warnings turned up.
+* Added extended ISUPPORT numeric support code, conforming to
+  draft-brocklesby-03.
+* Prototype dlfunc() if we're providing our own.
+* Prorotyped set_no_delay() to quell a warning.
+* Added a timestamp field to the ConfItem struct (for GLINEs.)
+* Properly externed current_serial in send.h.
+* Added charsets and encodings to the .po files to suppress a warning.
+* Changed 'Quit: ' prefix on quit messages to surrounding double quotes.
+* Fixed type-punning warnings in m_cryptlink.c
+* Rewrote GLINE support.  New GLINEs are persistent (sent in netburst)
+  and can only be set by servers (e.g. services.)  Non-expiring GLINEs
+  (duration 0) are supported.  This is all more suitable for a small
+  network than the original 3-oper cooperative GLINE code.
+* Removed extraneous \ns from ilog()s in assorted places.
+* Fixed some warnings in the TBURST module.
+* Fixed reverse timestamp logic.
+* Allow non-opers to use the TRACE command.
+* Remove silly 'OPERWALL - ' header from oper wallops.
+* Fixed type-punning warnings in adns.c.
+* Allow opers to see +l parameter and admins to see +k parameter in
+  channel modes without being in the channel.
+* Changed code to show server mode source when hide_servers is off.
+* Fixed misuse of memcpy (arguments overlapped) in dynlink.c.
+* Made y.tab.o depend on setup.h so that it gets rebuilt when configure
+  is rerun.
+* Make ircd properly depend on libadns.a so that parallel builds work.
+* Fix unaligned long accesses in md5.c.
+* Fix a missing space in the invalid server command notice.
+* Don't send() directly to client sockets anymore if we can help it, even
+  for the connection notices--always use sendto_one so that SSL clients can
+  receive the data.
+* Fix time formats in s_debug.c.
+* Allow non-opers to see wallops.
+* Show port numbers in connect notices.
+* Made small network support the default.
+* Added +i status to WHO output.
+* Added smaller hash sizes for SMALL_NET mode
+* Fix a bug in the lexer that kept "*\n" in a multi-line comment from being
+  counted as a line (which screwed up the line numbers for errors.)
+* Fixed logging of IPv4 server connections when IPv6 support is enabled.
+* Made smalldate() use an ISO8601 formatted date.
+* Made code prepend the type of kill to the exit_client reason (e.g.
+  'G-lined: reason' or K-lined: reason') if kline reasons are on
+* Rearranged the doc/ directory a bit, moving EFnet-specific documentation
+  to efnet/.
+* Changed the 'ban list full' message to be slightly more generic, since
+  it's used for +I/+e as well.
+* Fixed a warning in cs_in6addr when we're compiling without debugging.
+* Changed m_message.c to allow broadcasts to everyone, instead of requiring
+  a TLD. (e.g. 'PRIVMSG $* :test' should work)
diff -uNrd ircd-hybrid-7.0/Hybrid-team anynet-3.0/Hybrid-team
--- ircd-hybrid-7.0/Hybrid-team	Mon Feb 17 21:15:59 2003
+++ anynet-3.0/Hybrid-team	Fri Jan 23 12:30:12 2004
@@ -59,5 +59,12 @@
 previous versions of this ircd and it's ancestors, too many to list
 here.
  
-Send bug fixes/complaints/rotten tomatoes to ircd-hybrid@the-project.org.
+Additionally, some fixes, enhancements, and extensions have been added
+for the Anynet IRC network by the Anynet team.
+The Anynet team consists of the following people:
+ 
+|Rain|, Ben Winslow <ircd-anynet@t.themuffin.net>
+Nifty, Matt Higgins <mhh@strategery.org>
+ 
+Send bug fixes/complaints/flaming goats to ircd-stuff@t.themuffin.net
 
diff -uNrd ircd-hybrid-7.0/adns/types.c anynet-3.0/adns/types.c
--- ircd-hybrid-7.0/adns/types.c	Tue Oct 29 21:56:17 2002
+++ anynet-3.0/adns/types.c	Wed Feb  4 13:28:27 2004
@@ -279,7 +279,10 @@
 
 #ifdef IPV6
 static adns_status cs_in6addr(vbuf *vb, const void *datap) {
-  const struct in6_addr *rrp= datap, rr= *rrp;
+#ifndef NDEBUG /* rain - quell warning if the assert() won't be here */
+  const struct in6_addr *rrp= datap;
+  const struct in6_addr rr= *rrp;
+#endif
   char ia[IP6STRLEN];
 
   assert(inetntop(AF_INET6, &rr, ia, IP6STRLEN) != NULL);
@@ -875,7 +878,9 @@
 	return adns_s_querydomainwrong;
     }
     pt = ip6;     
-    for(i = 32, x = 0; i >= 0; i--)
+
+    /* rain - changed i >= 0 to i > 0 to prevent an underrun */
+    for(i = 32, x = 0; i > 0; i--)
     {
 	if(x >= 3 && i > 2)
 	{
diff -uNrd ircd-hybrid-7.0/autoconf/configure.in anynet-3.0/autoconf/configure.in
--- ircd-hybrid-7.0/autoconf/configure.in	Sat May 31 03:30:23 2003
+++ anynet-3.0/autoconf/configure.in	Mon Feb  2 04:07:32 2004
@@ -316,6 +316,25 @@
 	AC_MSG_RESULT($cf_rlimit_type)
 fi
 
+dnl rain - SSL client support
+AC_MSG_CHECKING(whether you want SSL client support)
+AC_ARG_ENABLE(ssl-clients,
+[  --enable-ssl-clients         Enable SSL client support. (default)
+  --disable-ssl-clients        Disable SSL client support. ],
+[
+  case "$enableval" in
+  yes)
+    ac_cv_ssl_clients="yes"
+    ;;
+  no)
+    ac_cv_ssl_clients="no"
+    ;;
+  esac
+], [ac_cv_ssl_clients="yes"])
+AC_MSG_RESULT($ac_cv_ssl_clients)
+AC_SUBST(SSL_CLIENT_C)
+AC_SUBST(M_STARTTLS_C)
+
 dnl OpenSSL support
 AC_MSG_CHECKING(for OpenSSL)
 AC_ARG_ENABLE(openssl,
@@ -407,8 +426,16 @@
         AC_CHECK_LIB(crypto, RSA_free)
         if test "X$ac_cv_lib_crypto_RSA_free" = "Xyes"; then
             cf_openssl_ciphers=''
+            dnl rain - added 256, 192-bit BF checks
             AC_CHECK_FUNCS(EVP_bf_cfb,
-                cf_openssl_ciphers="${cf_openssl_ciphers}BF/168 BF/128 ")
+                cf_openssl_ciphers="${cf_openssl_ciphers}BF/256 BF/192 BF/168 BF/128 ")
+            dnl rain - added AES checks
+            AC_CHECK_FUNCS(EVP_aes_128_cfb,
+                cf_openssl_ciphers="${cf_openssl_ciphers}AES/128 ")
+            AC_CHECK_FUNCS(EVP_aes_192_cfb,
+                cf_openssl_ciphers="${cf_openssl_ciphers}AES/192 ")
+            AC_CHECK_FUNCS(EVP_aes_256_cfb,
+                cf_openssl_ciphers="${cf_openssl_ciphers}AES/256 ")
             AC_CHECK_FUNCS(EVP_cast5_cfb,
                 cf_openssl_ciphers="${cf_openssl_ciphers}CAST/128 ")
             AC_CHECK_FUNCS(EVP_idea_cfb,
@@ -422,6 +449,16 @@
         fi
         CPPFLAGS="$save_CPPFLAGS"
         SSL_LIBS="$SSL_LIBS -lcrypto"
+
+dnl rain - we have SSL and want SSL clients, do it
+        if test "X$ac_cv_ssl_clients" = "Xyes"; then
+		SSL_CLIENT_C="ssl_client.c"
+		M_STARTTLS_C="m_starttls.c"
+
+	        AC_DEFINE(SSL_CLIENT_SUPPORT)
+
+		SSL_LIBS="$SSL_LIBS -lssl"
+	fi
     else
         AC_MSG_RESULT(no - OpenSSL support disabled)
     fi
@@ -753,11 +790,15 @@
     IRC_CFLAGS="$IRC_CFLAGS"
     ;;
   esac
+], [
+dnl rain - default to small net
+    IRC_CFLAGS="$IRC_CFLAGS -DSMALL_NET=1"
 ])
 
-ac_cv_nicklen="9"
-ac_cv_maxclients="200"
-ac_cv_topiclen="120"
+dnl rain - updated these defaults to be sane for our network
+ac_cv_nicklen="20"
+ac_cv_maxclients="300"
+ac_cv_topiclen="495"
 
 dnl Nicklen
 AC_ARG_WITH(nicklen,
diff -uNrd ircd-hybrid-7.0/doc/convertconf-example.conf anynet-3.0/doc/convertconf-example.conf
--- ircd-hybrid-7.0/doc/convertconf-example.conf	Sat May 31 03:30:25 2003
+++ anynet-3.0/doc/convertconf-example.conf	Wed Feb  4 13:11:39 2004
@@ -17,17 +17,23 @@
 };
 
 /* shared {}: users that are allowed to remote kline (OLD U:) */
+/*
+ * shared blocks also define non-hub servers that are allowed to set
+ * G-lines.  Hubs are always allowed to set G-lines because they need
+ * to be able to propogate them.  G-lines from non-shared leaves are
+ * dropped, and a warning is issued.
+ */
 shared {
 	/* name: the server the user must be on to set klines.  If this is not
 	 * specified, the user will be allowed to kline from all servers.
 	 */
-	name = "irc2.some.server";
+	name = "services.anynet.org";
 
 	/* user: the user@host mask that is allowed to set klines.  If this is
 	 * not specified, all users on the server above will be allowed to set
 	 * a remote kline.
 	 */
-	user = "oper@my.host.is.spoofed";
+	#user = "na@for.glines";
 };
 
 /* kill {}: users that are not allowed to connect (OLD K:)
@@ -52,19 +58,19 @@
 };
 
 /* resv {}: nicks and channels users may not use/join (OLD Q:) */
-resv {
-        /* reason: the reason for the proceeding resv's */
-        reason = "There are no services on this network";
-
-	/* resv: the nicks and channels users may not join/use */
-	nick = "nickserv";
-	nick = "chanserv";
-	channel = "#services";
-
-	/* resv: wildcard masks are also supported in nicks only */
-	reason = "Clone bots";
-	nick = "clone*";
-};
+#resv {
+#        /* reason: the reason for the proceeding resv's */
+#        reason = "There are no services on this network";
+#
+#	/* resv: the nicks and channels users may not join/use */
+#	nick = "nickserv";
+#	nick = "chanserv";
+#	channel = "#services";
+#
+#	/* resv: wildcard masks are also supported in nicks only */
+#	reason = "Clone bots";
+#	nick = "clone*";
+#};
 
 /* gecos {}:  The X: replacement, used for banning users based on their
  * "realname".  The action may be either:
@@ -87,7 +93,7 @@
 gecos {
 	name = "*http*";
 	reason = "Spambot";
-	action = silent;
+	action = warn;
 };
 
 /* The channel block contains options pertaining to channels */
@@ -115,7 +121,7 @@
 	 * or deopped by sending mode changes.  This can cause a flood and
 	 * could potentially be abused.
 	 */
-	use_anonops = no;
+	use_anonops = yes;
 
         /* vchans: permit virtual channels, multiple copies of the same
 	 * channel name.  read doc/vchans.txt for more details
@@ -125,7 +131,7 @@
         use_vchans = yes;
 
 	/* vchans oper only: only allow opers to create vchans via /cjoin */
-	vchans_oper_only = yes;
+	vchans_oper_only = no;
 
 	/* knock: Allows users to request an invite to a channel that
 	 * is locked somehow (+ikl).  If the channel is +p or you are banned
@@ -150,7 +156,7 @@
         quiet_on_ban = yes;
 
         /* max bans: maximum number of +b/e/I modes in a channel */
-        max_bans = 25;
+        max_bans = 30;
 
         /* splitcode: the ircd will check every 60s as to whether splitmode
 	 * should be disabled or not, so there may be a delay between a
@@ -181,7 +187,6 @@
 	oper_pass_resv = yes;
 };
 
-
 /* The serverhide block contains the options regarding serverhiding */
 serverhide {
 	/* flatten links: this option will show all servers in /links appear
@@ -213,7 +218,7 @@
 	disable_remote_commands = no;
 
 	/* disable local channels: prevent users from joining &channels.
-	 * This is extreme, but its still a flaw in serverhide.  It will
+	 * This is extreme, but it is still a flaw in serverhide.  It will
 	 * however remove far more from users than it will give back in
 	 * security.
 	 */
@@ -244,7 +249,7 @@
 	 * without a '.' in them.  this will add one to the end.  only needed
 	 * for older servers.
 	 */
-        dot_in_ip6_addr = yes;
+        dot_in_ip6_addr = no;
         
         /* min nonwildcard: the minimum non wildcard characters in k/d/g lines
 	 * placed via the server.  klines hand placed are exempt from limits.
@@ -265,16 +270,16 @@
         /* anti spam time: the minimum time a user must be connected before
 	 * custom quit messages are allowed.
 	 */
-        anti_spam_exit_message_time = 5 minutes;
+        anti_spam_exit_message_time = 1 minute;
 
 	/* ts delta: the time delta allowed between server clocks before
 	 * a warning is given, or before the link is dropped.  all servers
 	 * should run ntpdate/rdate to keep clocks in sync
 	 */
-	ts_warn_delta = 30 seconds;
-	ts_max_delta = 5 minutes;
+	ts_warn_delta = 15 seconds;
+	ts_max_delta = 90 seconds;
 
-	/* client exit: prepend a users quit message with "Client exit: " */
+	/* client exit: add quotes around user-supplied quote messages */
 	client_exit = yes;
 
 	/* kline reason: show the user the reason why they are k/d/glined 
@@ -297,7 +302,7 @@
 	warn_no_nline = yes;
 
 	/* stats o oper only: make stats o (opers) oper only */
-	stats_o_oper_only=yes;
+	stats_o_oper_only=no;
 
 	/* stats P oper only: make stats P (ports) oper only */
 	stats_P_oper_only=no;
@@ -314,7 +319,7 @@
 	 *     masked: show users first matching auth block
 	 *     no:     show users all auth blocks.
 	 */
-	stats_k_oper_only=masked;
+	stats_k_oper_only=no;
                                     
 	/* caller id wait: time between notifying a +g user that somebody
 	 * is messaging them.
@@ -329,7 +334,7 @@
 	/* pace wait: time between more intensive commands
 	 * (ADMIN, INFO, LIST, LUSERS, MOTD, STATS, VERSION)
 	 */
-	pace_wait = 10 seconds;
+	pace_wait = 2 seconds;
 
 	/* short motd: send clients a notice telling them to read the motd
 	 * instead of forcing a motd to clients who may simply ignore it.
@@ -344,12 +349,14 @@
 	/* no oper flood: increase flood limits for opers. */
 	no_oper_flood = yes;
 
+	/* true no oper flood: completely eliminate flood limits for opers
+         * and for clients with can_flood = yes in their auth {} blocks
+	 */
+	true_no_oper_flood = yes;
+
 	/* glines: enable glines, network wide temp klines */
 	glines = yes;
 
-	/* gline time: the amount of time a gline will remain before exiring */
-	gline_time = 1 day;
-
 	/* idletime: the maximum amount of time a user may idle before
 	 * they are disconnected
 	 */
@@ -360,7 +367,7 @@
 	 */
 	maximum_links = 1;
 
-	/* REMOVE ME.  The following line checks youve been reading. */
+	/* REMOVE ME.  The following line checks you've been reading. */
 	havent_read_conf = 1;
 	
 	/* logfiles: the logfiles to use for user connects, /oper uses,
@@ -371,21 +378,30 @@
 	fname_foperlog = "logs/foperlog";
 
 	/* max targets: the maximum amount of targets in a single 
-	 * PRIVMSG/NOTICE.  set to 0 for unlimited targets.
+	 * PRIVMSG/NOTICE.  set to 999 NOT 0 for unlimited.
 	 */
-	max_targets = 4;
+	max_targets = 8;
 
 	/* client flood: maximum number of lines in a clients queue before
 	 * they are dropped for flooding.
 	 */
 	client_flood = 20;
 
+        /* use help: whether an improved help system per command is available
+         * to users.  If this is disabled, users will just be shown a command
+         * list.
+         *
+         * this is non-caching and the help file will be read per command
+         * which should be an adverse consideration for large servers.
+         */
+        use_help = yes;
+
 	/* message locale: the default message locale if gettext() is enabled
 	 * and working.
 	 * Use "custom" for the (in)famous Hybrid custom messages.
 	 * Use "standard" for the compiled in defaults.
 	 */
-	message_locale = "custom";
+	message_locale = "standard";
 
 	/* usermodes configurable: a list of usermodes for the options below
 	 *
@@ -404,28 +420,29 @@
 	 * +u - unauth     - See unauthorized client notices
 	 * +w - wallop     - See server generated WALLOPS
 	 * +x - external   - See remote server connection and split notices
-	 * +y - spy        - See LINKS, STATS, TRACE notices etc.
+	 * +y - spy        - See LINKS, STATS, TRACE notices etc. (if enabled)
 	 * +z - operwall   - See oper generated WALLOPS
 	 */
 	 
 	/* oper only umodes: usermodes only opers may set */
-	oper_only_umodes = bots, cconn, debug, full, skill, nchange, 
-                     rej, spy, external, operwall, locops, unauth;
+	oper_only_umodes = bots, cconn, debug, full, nchange, 
+                     rej, spy, operwall, locops, unauth;
 
 	/* oper umodes: default usermodes opers get when they /oper */
-	oper_umodes = locops, servnotice, operwall, wallop;
+	oper_umodes = full, skill, locops, servnotice, operwall, wallop,
+		external;
 
 	/* servlink path: path to 'servlink' program used by ircd to handle
 	 * encrypted/compressed server <-> server links.
 	 *
 	 * only define if servlink is not in same directory as ircd itself.
 	 */
-	#servlink_path = "/usr/local/ircd/bin/servlink";
+	#servlink_path = "bin/servlink";
 
 	/* default cipher: default cipher to use for cryptlink when none is
 	 * specified in connect block.
 	 */
-	#default_cipher_preference = "BF/128";
+	#default_cipher_preference = "BF/168";
 
 	/* use egd: if your system does not have *random devices yet you
 	 * want to use OpenSSL and encrypted links, enable this.  Beware -
@@ -452,15 +469,15 @@
 	 * Offers protection against flooders who reconnect quickly.  
 	 * Set to 0 to disable.
 	 */
-	throttle_time = 10;
+	throttle_time = 0;
 };
 
 modules {
 	/* module path: paths to search for modules specified below and 
 	 * in /modload.
 	 */
-	path = "/usr/local/ircd/modules";
-	path = "/usr/local/ircd/modules/autoload";
+	path = "modules";
+	path = "modules/autoload";
 
 	/* module: the name of a module to load on startup/rehash */
 	#module = "some_module.so";
